# clique.mod

param n integer, > 0;
set V := 1..n;
set E within {V,V};
set A := E union {i in V, j in V : (j,i) in E};
set F := {i in V, j in V : i != j} diff A;

var x{V} binary;
maximize clique_card: sum{j in V} x[j];
subject to notstable{i in V, j in V : (i,j) in F}: x[i] + x[j] <= 1;

